Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 14639

Description

When connecting from QGIS Desktop to QGIS Server, the gui freezes for about 30 seconds with high CPU usage.

The problem occurs with any request from QGIS Desktop to QGIS Server:

- reading GetCapabilities

- adding chosen layers to map

- opening projects with WMS layers

Other WMS servers work immediately. Also QGIS Server in a web browser works immediately.

Confirmed on two Desktops: Master@Debian and 1.7.2@Windows, connecting to one Server: Master@Ubuntu (serving projects created

under both 1.7 and Master).

History

#1 - 2012-01-11 06:53 AM - Paolo Cavallini

This could be caused by having the full list of projections available. Try selecting only a couple of them for the server.

#2 - 2012-01-11 07:09 AM - Borys Jurgiel

I have only one output CRS enabled (and I don't see any difference when I enable all). Manipulating all the project properties doesn't help, too.

Please note that the same 30 seconds of high CPU usage occurs after sending getMap request.

#3 - 2012-01-27 12:22 PM - Larry Shaffer

I'm not seeing this with the new RC for 1.7.4 on Mac OS X. Load speeds are good and CPU usage is normal (regardless of request type). I have limited

published projections for each project.

#4 - 2012-04-16 06:32 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#5 - 2012-09-04 11:54 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2012-10-05 07:55 AM - Giovanni Manghi
- Status changed from Open to Feedback

I'm also not seeing this. Is still confirmed?

#7 - 2012-10-05 04:41 PM - Borys Jurgiel

- Resolution set to worksforme

- Status changed from Feedback to Closed

Ok, let's close it. I can only confirm on one host. A few others work ok.

Here are the latest details, just in a case:

The problem only occurs when I call qgis_mapserv.cgi?map=/path/to/file. When I use the second way and call the directory containing .qgs alongside a

symbolic link to (the same) qgis_mapserv.cgi file, everything works fast. Comparing e.g. the Capabilities response, in both cases its sieze and content is

the same (except urls for Get* requests of course). Wget fetches them both immediately. Chromium also seems to receive them both immediately,

however, with the affected one it needs about 15-30 seconds to display it as a formatted xml. A few GC events occur during that time. Anyway, I can't see

any differences in headers.
